Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.xensource.xenapi
Enum Types.XenAPIObjects

    java.lang.Object
      java.lang.Enum<Types.XenAPIObjects>
          com.xensource.xenapi.Types.XenAPIObjects

All Implemented Interfaces:
  Serializable, Comparable<Types.XenAPIObjects>

Enclosing class:
  Types

    public static enum Types.XenAPIObjects

extends Enum<Types.XenAPIObjects>

Enum Constant Summary
`AUTH` Management of remote authentication services
`BLOB` A placeholder for a binary blob
`BOND`
`CONSOLE` A console
`CRASHDUMP` A VM crashdump
`DATA_SOURCE` Data sources for logging in RRDs
`DR_TASK` DR task
`EVENT` Asynchronous event registration and handling
`GPU_GROUP` A group of compatible GPUs across the resource pool
`HOST` A physical host
`HOST_CPU` A physical CPU
`HOST_CRASHDUMP` Represents a host crash dump
`HOST_METRICS` The metrics associated with a host
`HOST_PATCH` Represents a patch stored on a server
`MESSAGE` An message for the attention of the administrator
`NETWORK` A virtual network
`PBD` The physical block devices through which hosts access SRs
`PCI` A PCI device
`PGPU` A physical GPU (pGPU)
`PIF` A physical network interface (note separate VLANs are represented as several PIFs)
`PIF_METRICS` The metrics associated with a physical network interface
`POOL` Pool-wide information
`POOL_PATCH` Pool-wide patches
`ROLE` A set of permissions associated with a subject
`SECRET` A secret
`SESSION` A session
`SM` A storage manager plugin
`SR` A storage repository
`SUBJECT` A user or group that can log in xapi
`TASK` A long-running asynchronous task
`TUNNEL` A tunnel for network traffic
`UNRECOGNIZED` The value does not belong to this enumeration
`USER` A user of the system
`VBD` A virtual block device
`VBD_METRICS` The metrics associated with a virtual block device
`VDI` A virtual disk image
`VGPU` A virtual GPU (vGPU)
`VIF` A virtual network interface
`VIF_METRICS` The metrics associated with a virtual network device
`VLAN` A VLAN mux/demux
`VM` A virtual machine (or 'guest').
`VM_APPLIANCE` VM appliance
`VM_GUEST_METRICS` The metrics reported by the guest (as opposed to inferred from outside)
`VM_METRICS` The metrics associated with a VM
`VMPP` VM Protection Policy
`VTPM` A virtual TPM device

Method Summary
`String` | `toString()`
`static Types.XenAPIObjects` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Types.XenAPIObjects[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### UNRECOGNIZED

    public static final Types.XenAPIObjects UNRECOGNIZED

  The value does not belong to this enumeration

### SESSION

    public static final Types.XenAPIObjects SESSION

  A session

### AUTH

    public static final Types.XenAPIObjects AUTH

  Management of remote authentication services

### SUBJECT

    public static final Types.XenAPIObjects SUBJECT

  A user or group that can log in xapi

### ROLE

    public static final Types.XenAPIObjects ROLE

  A set of permissions associated with a subject

### TASK

    public static final Types.XenAPIObjects TASK

  A long-running asynchronous task

### EVENT

    public static final Types.XenAPIObjects EVENT

  Asynchronous event registration and handling

### POOL

    public static final Types.XenAPIObjects POOL

  Pool-wide information

### POOL_PATCH

    public static final Types.XenAPIObjects POOL_PATCH

  Pool-wide patches

### VM

    public static final Types.XenAPIObjects VM

  A virtual machine (or 'guest').

### VM_METRICS

    public static final Types.XenAPIObjects VM_METRICS

  The metrics associated with a VM

### VM_GUEST_METRICS

    public static final Types.XenAPIObjects VM_GUEST_METRICS

  The metrics reported by the guest (as opposed to inferred from outside)

### VMPP

    public static final Types.XenAPIObjects VMPP

  VM Protection Policy

### VM_APPLIANCE

    public static final Types.XenAPIObjects VM_APPLIANCE

  VM appliance

### DR_TASK

    public static final Types.XenAPIObjects DR_TASK

  DR task

### HOST

    public static final Types.XenAPIObjects HOST

  A physical host

### HOST_CRASHDUMP

    public static final Types.XenAPIObjects HOST_CRASHDUMP

  Represents a host crash dump

### HOST_PATCH

    public static final Types.XenAPIObjects HOST_PATCH

  Represents a patch stored on a server

### HOST_METRICS

    public static final Types.XenAPIObjects HOST_METRICS

  The metrics associated with a host

### HOST_CPU

    public static final Types.XenAPIObjects HOST_CPU

  A physical CPU

### NETWORK

    public static final Types.XenAPIObjects NETWORK

  A virtual network

### VIF

    public static final Types.XenAPIObjects VIF

  A virtual network interface

### VIF_METRICS

    public static final Types.XenAPIObjects VIF_METRICS

  The metrics associated with a virtual network device

### PIF

    public static final Types.XenAPIObjects PIF

  A physical network interface (note separate VLANs are represented as several PIFs)

### PIF_METRICS

    public static final Types.XenAPIObjects PIF_METRICS

  The metrics associated with a physical network interface

### BOND

    public static final Types.XenAPIObjects BOND

### VLAN

    public static final Types.XenAPIObjects VLAN

  A VLAN mux/demux

### SM

    public static final Types.XenAPIObjects SM

  A storage manager plugin

### SR

    public static final Types.XenAPIObjects SR

  A storage repository

### VDI

    public static final Types.XenAPIObjects VDI

  A virtual disk image

### VBD

    public static final Types.XenAPIObjects VBD

  A virtual block device

### VBD_METRICS

    public static final Types.XenAPIObjects VBD_METRICS

  The metrics associated with a virtual block device

### PBD

    public static final Types.XenAPIObjects PBD

  The physical block devices through which hosts access SRs

### CRASHDUMP

    public static final Types.XenAPIObjects CRASHDUMP

  A VM crashdump

### VTPM

    public static final Types.XenAPIObjects VTPM

  A virtual TPM device

### CONSOLE

    public static final Types.XenAPIObjects CONSOLE

  A console

### USER

    public static final Types.XenAPIObjects USER

  A user of the system

### DATA_SOURCE

    public static final Types.XenAPIObjects DATA_SOURCE

  Data sources for logging in RRDs

### BLOB

    public static final Types.XenAPIObjects BLOB

  A placeholder for a binary blob

### MESSAGE

    public static final Types.XenAPIObjects MESSAGE

  An message for the attention of the administrator

### SECRET

    public static final Types.XenAPIObjects SECRET

  A secret

### TUNNEL

    public static final Types.XenAPIObjects TUNNEL

  A tunnel for network traffic

### PCI

    public static final Types.XenAPIObjects PCI

  A PCI device

### PGPU

    public static final Types.XenAPIObjects PGPU

  A physical GPU (pGPU)

### GPU_GROUP

    public static final Types.XenAPIObjects GPU_GROUP

  A group of compatible GPUs across the resource pool

### VGPU

    public static final Types.XenAPIObjects VGPU

  A virtual GPU (vGPU)

Method Detail

### values

    public static Types.XenAPIObjects[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Types.XenAPIObjects c : Types.XenAPIObjects.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Types.XenAPIObjects valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<Types.XenAPIObjects>`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD